Bug 22536 - Display problem in Holds to Pull report
Summary: Display problem in Holds to Pull report
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-18 22:50 UTC by David Roberts
Modified: 2019-06-06 17:53 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot (8.93 KB, image/jpeg)
2019-03-18 22:50 UTC, David Roberts
Details
Bug 22536: Display problem in Holds to Pull report (6.10 KB, patch)
2019-03-19 12:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22536: Display problem in Holds to Pull report (6.16 KB, patch)
2019-03-22 00:13 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 22536: Display problem in Holds to Pull report (6.21 KB, patch)
2019-03-22 19:19 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22536: Display problem in Holds to Pull report (6.28 KB, patch)
2019-03-23 09:06 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Roberts 2019-03-18 22:50:01 UTC
Created attachment 86732 [details]
Screenshot

In 18.11, the holds to pull screen displays <br/> in the table when an bibliographic record has more than one copy (see attached screenshot). This seems to be related to the template:

</td>
        <td><p>[% reserveloo.itemcallnumber | html %]</p></td>
        <td><p>[% reserveloo.copyno | html %]</p></td>
        <td><p>[% reserveloo.enumchron | html %]</p></td>
        <td>

Removing the html part of the line fixes the problem, but isn't a very secure long-term solution.
Comment 1 Owen Leonard 2019-03-19 12:54:09 UTC
Created attachment 86738 [details] [review]
Bug 22536: Display problem in Holds to Pull report

This patch modifies the display of several values in the holds to pull
report so that they can be displayed as lists instead of as chunks of
HTML generated in SQL.

This patch modifies the SQL in pendingreserves.pl so that values can be
formatted in the same way that holding branch is. The better long-term
solution is to remove SQL from pendingreserves.pl altogether, but this
is a quick fix.

This patch also makes a couple of minor markup changes to fix
validation.

To test, apply the patch and go to Circulation -> Holds to pull. To see
the changes the patch makes your holds to pull list should have titles
with multiple items at multiple branches, with call number, copy number,
and enumeration data. These values should all be displayed in bulleted
lists.
Comment 2 sandboxes@biblibre.com 2019-03-22 00:13:10 UTC
Patch tested with a sandbox, by David Roberts <david.roberts@ptfs-europe.com>
Comment 3 sandboxes@biblibre.com 2019-03-22 00:13:35 UTC
Created attachment 86872 [details] [review]
Bug 22536: Display problem in Holds to Pull report

This patch modifies the display of several values in the holds to pull
report so that they can be displayed as lists instead of as chunks of
HTML generated in SQL.

This patch modifies the SQL in pendingreserves.pl so that values can be
formatted in the same way that holding branch is. The better long-term
solution is to remove SQL from pendingreserves.pl altogether, but this
is a quick fix.

This patch also makes a couple of minor markup changes to fix
validation.

To test, apply the patch and go to Circulation -> Holds to pull. To see
the changes the patch makes your holds to pull list should have titles
with multiple items at multiple branches, with call number, copy number,
and enumeration data. These values should all be displayed in bulleted
lists.

Signed-off-by: David Roberts <david.roberts@ptfs-europe.com>
Comment 4 David Roberts 2019-03-22 00:14:43 UTC
As far as I can tell with the limited data and config on the sandboxes, this seems to work correctly.
Comment 5 Bin Wen 2019-03-22 19:19:59 UTC
Created attachment 86927 [details] [review]
Bug 22536: Display problem in Holds to Pull report

This patch modifies the display of several values in the holds to pull
report so that they can be displayed as lists instead of as chunks of
HTML generated in SQL.

This patch modifies the SQL in pendingreserves.pl so that values can be
formatted in the same way that holding branch is. The better long-term
solution is to remove SQL from pendingreserves.pl altogether, but this
is a quick fix.

This patch also makes a couple of minor markup changes to fix
validation.

To test, apply the patch and go to Circulation -> Holds to pull. To see
the changes the patch makes your holds to pull list should have titles
with multiple items at multiple branches, with call number, copy number,
and enumeration data. These values should all be displayed in bulleted
lists.

Signed-off-by: David Roberts <david.roberts@ptfs-europe.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 6 Josef Moravec 2019-03-23 09:06:00 UTC
Created attachment 86940 [details] [review]
Bug 22536: Display problem in Holds to Pull report

This patch modifies the display of several values in the holds to pull
report so that they can be displayed as lists instead of as chunks of
HTML generated in SQL.

This patch modifies the SQL in pendingreserves.pl so that values can be
formatted in the same way that holding branch is. The better long-term
solution is to remove SQL from pendingreserves.pl altogether, but this
is a quick fix.

This patch also makes a couple of minor markup changes to fix
validation.

To test, apply the patch and go to Circulation -> Holds to pull. To see
the changes the patch makes your holds to pull list should have titles
with multiple items at multiple branches, with call number, copy number,
and enumeration data. These values should all be displayed in bulleted
lists.

Signed-off-by: David Roberts <david.roberts@ptfs-europe.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Nick Clemens 2019-03-28 13:29:27 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-04-01 11:06:56 UTC
Pushed to 18.11.x for 18.11.05
Comment 9 Lucas Gass 2019-04-01 16:42:17 UTC
backported to 18.05.x for 18.05.12